### Class

# WebKit2 PointerLockPermissionRequest

since: 2.28

#### Description [src]

    class WebKit2.PointerLockPermissionRequest : GObject.Object
      implements WebKit2.PermissionRequest {
      WebKitPointerLockPermissionRequestPrivate* priv
    }

A permission request for locking the pointer.

WebKitPointerLockPermissionRequest represents a request for permission to decide whether WebKit can lock the pointer device when requested by web content.

When a WebKitPointerLockPermissionRequest is not handled by the user, it is allowed by default.

Available since: 2.28

#### Ancestors

- GObject

#### Implements

- WebKitPermissionRequest

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from WebKitPermissionRequest (2)

###### webkit_permission_request_allow

Allow the action which triggered this request.

###### webkit_permission_request_deny

Deny the action which triggered this request.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WebKit2PointerLockPermissionRequestClass {
      GObjectClass parent_class;
      void (* _webkit_reserved0) (
    void
      );
      void (* _webkit_reserved1) (
    void
      );
      void (* _webkit_reserved2) (
    void
      );
      void (* _webkit_reserved3) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`_webkit_reserved0: void (* _webkit_reserved0) ( void )`

  No description available.

`_webkit_reserved1: void (* _webkit_reserved1) ( void )`

  No description available.

`_webkit_reserved2: void (* _webkit_reserved2) ( void )`

  No description available.

`_webkit_reserved3: void (* _webkit_reserved3) ( void )`

  No description available.